Subject: Re: [PATCH] sh_eth: fix descriptor access endianness

From: Sergei Shtylyov <[email-masked]>
Date: Mon, 14 Dec 2015 19:53:33 +0300

Hello.

On 12/13/2015 11:05 PM, Sergei Shtylyov wrote:

> The driver never  calls cpu_to_edmac() when writing the descriptor address
> and edmac_to_cpu() when reading it, although it should -- fix this.
>
> Note that the frame/buffer length descriptor field accesses also need fixing
> but since they are both 16-bit we can't  use {cpu|edmac}_to_{edmac|cpu}()...

    Changed my mind about this one: I'll add a new pair of functions to deal 
with 16-bit conversions as well.

> Signed-off-by: Sergei Shtylyov <[email-masked]>

[...]

MBR, Sergei